Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 6717)
@@ -14,6 +14,5 @@
    !!            3.3  !  2010-10  (C. Ethe) merge TRC-TRA
    !!            3.4  !  2011-04  (G. Madec) Merge of dtatem and dtasal & suppression of tb,tn/sb,sn 
-   !!            3.7  !  2016-04  (S. Flavoni) change configuration's interface:
-   !!                              read file or CALL usr_def module to compute initial state (example given for GYRE)
+   !!            3.7  !  2016-04  (S. Flavoni) introduce user defined initial state 
    !!----------------------------------------------------------------------
 
@@ -22,17 +21,13 @@
    !!   istate_uvg    : initial velocity in geostropic balance
    !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and active tracers 
-   USE dom_oce         ! ocean space and time domain 
-   USE c1d             ! 1D vertical configuration
-   USE daymod          ! calendar
-   USE eosbn2          ! eq. of state, Brunt Vaisala frequency (eos     routine)
-   USE ldftra          ! lateral physics: ocean active tracers
-   USE zdf_oce         ! ocean vertical physics
-   USE phycst          ! physical constants
-   USE dtatsd          ! data temperature and salinity   (dta_tsd routine)
-   USE dtauvd          ! data: U & V current             (dta_uvd routine)
+   USE oce            ! ocean dynamics and active tracers 
+   USE dom_oce        ! ocean space and time domain 
+   USE daymod         ! calendar
+   USE divhor         ! horizontal divergence            (div_hor routine)
+   USE dtatsd         ! data temperature and salinity   (dta_tsd routine)
+   USE dtauvd         ! data: U & V current             (dta_uvd routine)
    USE domvvl          ! varying vertical mesh
    USE iscplrst        ! ice sheet coupling
-   USE usrdef          ! User defined routine
+   USE usrdef_istate   ! User defined initial state
    !
    USE in_out_manager  ! I/O manager
@@ -47,5 +42,4 @@
 
    PUBLIC   istate_init   ! routine called by step.F90
-   !SF PUBLIC   ini_read      ! subroutine ini_read 
 
    !! * Substitutions
@@ -70,12 +64,14 @@
       IF( nn_timing == 1 )   CALL timing_start('istate_init')
       !
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) 'istate_init : Initialization of the dynamics and tracers'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'istate_ini : Initialization of the dynamics and tracers'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~'
-
-     !SF initialisation of T & S with data file
+!!gm  Why not include in the first call of dta_tsd ?  
+!!gm  probably associated with the use of internal damping...
                      CALL dta_tsd_init        ! Initialisation of T & S input data
-      IF( lk_c1d )   CALL dta_uvd_init        ! Initialization of U & V input data
+!!gm to be moved in usrdef of C1D case
+!      IF( lk_c1d )   CALL dta_uvd_init        ! Initialization of U & V input data
+!!gm
 
       rhd  (:,:,:  ) = 0._wp   ;   rhop (:,:,:  ) = 0._wp      ! set one for all to 0 at level jpk
@@ -87,8 +83,8 @@
          !                                    ! -------------------
          CALL rst_read                        ! Read the restart file
-         IF (ln_iscpl)       CALL iscpl_stp   ! extraloate restart to wet and dry
+         IF (ln_iscpl)       CALL iscpl_stp   ! extrapolate restart to wet and dry
          CALL day_init                        ! model calendar (using both namelist and restart infos)
-      ELSE
-         !                                    ! Start from rest
+         !
+      ELSE                                    ! Start from rest
          !                                    ! ---------------
          numror = 0                           ! define numror = 0 -> no restart file to read
@@ -96,32 +92,46 @@
          CALL day_init                        ! model calendar (using both namelist and restart infos)
          !                                    ! Initialization of ocean to zero
-         !   before fields      !       now fields     
-         sshb (:,:)   = 0._wp   ;   sshn (:,:)   = 0._wp
-         ub   (:,:,:) = 0._wp   ;   un   (:,:,:) = 0._wp
-         vb   (:,:,:) = 0._wp   ;   vn   (:,:,:) = 0._wp  
-                                    hdivn(:,:,:) = 0._wp
          !
-         IF( ln_tsd_init ) THEN               ! read 3D T and S data at nit000
-            CALL dta_tsd( nit000, tsb )  
+         IF( ln_tsd_init ) THEN               
+            CALL dta_tsd( nit000, tsb )       ! read 3D T and S data at nit000
+            !
+            sshb(:,:)   = 0._wp               ! set the ocean at rest
+            ub  (:,:,:) = 0._wp
+            vb  (:,:,:) = 0._wp  
+            !
          ELSE                                 ! user defined initial T and S
-            CALL usr_def_ini( tsb )                
+            CALL usr_def_istate( gdept_b, tmask, tsb, ub, vb, sshb  )         
          ENDIF
-         tsn(:,:,:,:) = tsb(:,:,:,:)          ! set now to before values
+         tsn  (:,:,:,:) = tsb (:,:,:,:)       ! set now values from to before ones
+         sshn (:,:)     = sshb(:,:)   
+         un   (:,:,:)   = ub  (:,:,:)
+         vn   (:,:,:)   = vb  (:,:,:)
+         hdivn(:,:,jpk) = 0._wp               ! bottom divergence set one for 0 to zero at jpk level
+         CALL div_hor( 0 )                    ! compute interior hdivn value  
+!!gm                                    hdivn(:,:,:) = 0._wp
+
+!!gm POTENTIAL BUG :
+!!gm  ISSUE :  if sshb /= 0  then, in non linear free surface, the e3._n, e3._b should be recomputed
+!!             as well as gdept and gdepw....   !!!!! 
+!!      ===>>>>   probably a call to domvvl initialisation here....
+
+
          !
-         IF ( ln_uvd_init .AND. lk_c1d ) THEN ! read 3D U and V data at nit000
-            CALL wrk_alloc( jpi,jpj,jpk,2,   zuvd )
-            CALL dta_uvd( nit000, zuvd )
-            ub(:,:,:) = zuvd(:,:,:,1) ;  un(:,:,:) = ub(:,:,:)
-            vb(:,:,:) = zuvd(:,:,:,2) ;  vn(:,:,:) = vb(:,:,:)
-            CALL wrk_dealloc( jpi,jpj,jpk,2,   zuvd )
-         ENDIF
+!!gm to be moved in usrdef of C1D case
+!         IF ( ln_uvd_init .AND. lk_c1d ) THEN ! read 3D U and V data at nit000
+!            CALL wrk_alloc( jpi,jpj,jpk,2,   zuvd )
+!            CALL dta_uvd( nit000, zuvd )
+!            ub(:,:,:) = zuvd(:,:,:,1) ;  un(:,:,:) = ub(:,:,:)
+!            vb(:,:,:) = zuvd(:,:,:,2) ;  vn(:,:,:) = vb(:,:,:)
+!            CALL wrk_dealloc( jpi,jpj,jpk,2,   zuvd )
+!         ENDIF
          !
 !!gm This is to be changed !!!!
-         ! - ML - sshn could be modified by istate_eel, so that initialization of e3t_b is done here
-         IF( .NOT.ln_linssh ) THEN
-            DO jk = 1, jpk
-               e3t_b(:,:,jk) = e3t_n(:,:,jk)
-            END DO
-         ENDIF
+!         ! - ML - sshn could be modified by istate_eel, so that initialization of e3t_b is done here
+!         IF( .NOT.ln_linssh ) THEN
+!            DO jk = 1, jpk
+!               e3t_b(:,:,jk) = e3t_n(:,:,jk)
+!            END DO
+!         ENDIF
 !!gm 
          ! 
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom.F90	(revision 6717)
@@ -789,5 +789,5 @@
                   ENDIF
                   IF( PRESENT(pv_r3d) ) THEN
-                     IF( idom == jpdom_data ) THEN                                  ; icnt(3) = jpkdta
+                     IF( idom == jpdom_data ) THEN                                  ; icnt(3) = jpkglo
                      ELSE IF( ll_depth_spec .AND. PRESENT(kstart) ) THEN            ; istart(3) = kstart(3); icnt(3) = kcount(3)
                      ELSE                                                           ; icnt(3) = jpk
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom_def.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom_def.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/IOM/iom_def.F90	(revision 6717)
@@ -18,5 +18,5 @@
    PRIVATE
 
-   INTEGER, PARAMETER, PUBLIC ::   jpdom_data          = 1   !: ( 1  :jpidta, 1  :jpjdta)
+   INTEGER, PARAMETER, PUBLIC ::   jpdom_data          = 1   !: ( 1  :jpiglo, 1  :jpjglo)    !!gm to be suppressed
    INTEGER, PARAMETER, PUBLIC ::   jpdom_global        = 2   !: ( 1  :jpiglo, 1  :jpjglo)
    INTEGER, PARAMETER, PUBLIC ::   jpdom_local         = 3   !: One of the 3 following cases
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 6717)
@@ -6,5 +6,5 @@
       !!     FOR USING THIS VERSION, A PREPROCESSING TRAITMENT IS RECOMMENDED
       !!     FOR DEFINING BETTER CUTTING OUT.
-      !!       This routine is used with a the bathymetry file.
+      !!       This routine requires the presence of the "domain_cfg.nc" file.
       !!       In this version, the land processors are avoided and the adress
       !!     processor (nproc, narea,noea, ...) are calculated again.
@@ -32,10 +32,10 @@
       !!                    nono      : number for local neighboring processor
       !!
-      !! History :
-      !!        !  94-11  (M. Guyon)  Original code
-      !!        !  95-04  (J. Escobar, M. Imbard)
-      !!        !  98-02  (M. Guyon)  FETI method
-      !!        !  98-05  (M. Imbard, J. Escobar, L. Colombet )  SHMEM and MPI versions
-      !!   9.0  !  04-01  (G. Madec, J.M Molines)  F90 : free form , north fold jpni > 1
+      !! History :       !  1994-11  (M. Guyon)  Original code
+      !!  OPA            !  1995-04  (J. Escobar, M. Imbard)
+      !!                 !  1998-02  (M. Guyon)  FETI method
+      !!                 !  1998-05  (M. Imbard, J. Escobar, L. Colombet )  SHMEM and MPI versions
+      !!  NEMO      1.0  !  2004-01  (G. Madec, J.M Molines)  F90 : free form , north fold jpni > 1
+      !!            4.0  !  2016-06  (G. Madec)  use domain_cfg file instead of bathymetry file
       !!----------------------------------------------------------------------
       USE in_out_manager  ! I/O Manager
@@ -65,75 +65,34 @@
          ione  , ionw  , iose  , iosw  ,   &  !    "           "
          ibne  , ibnw  , ibse  , ibsw         !    "           "
-      INTEGER,  DIMENSION(jpiglo,jpjglo) ::   &
-         imask                                ! temporary global workspace
-      REAL(wp), DIMENSION(jpiglo,jpjglo) ::   &
-         zdta, zdtaisf                     ! temporary data workspace
-      REAL(wp) ::   zidom , zjdom          ! temporary scalars
-
-      ! read namelist for ln_zco
-      NAMELIST/namzgr/ ln_zco, ln_zps, ln_sco, ln_isfcav
-
+      INTEGER,  DIMENSION(jpiglo,jpjglo) ::   imask        ! global workspace
+      REAL(wp), DIMENSION(jpiglo,jpjglo) ::   zbot, ztop   ! global workspace
+      REAL(wp) ::   zidom , zjdom          ! local scalars
       !!----------------------------------------------------------------------
-      !!  OPA 9.0 , LOCEAN-IPSL (2005) 
+      !! NEMO/OPA 4.0 , NEMO Consortium (2016)
       !! $Id$
-      !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+      !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
       !!----------------------------------------------------------------------
 
-      REWIND( numnam_ref )              ! Namelist namzgr in reference namelist : Vertical coordinate
-      READ  ( numnam_ref, namzgr, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in reference namelist', lwp )
-
-      REWIND( numnam_cfg )              ! Namelist namzgr in configuration namelist : Vertical coordinate
-      READ  ( numnam_cfg, namzgr, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzgr )
-
       IF(lwp)WRITE(numout,*)
-      IF(lwp)WRITE(numout,*) 'mpp_init : Message Passing MPI'
-      IF(lwp)WRITE(numout,*) '~~~~~~~~'
+      IF(lwp)WRITE(numout,*) 'mpp_init_2 : Message Passing MPI'
+      IF(lwp)WRITE(numout,*) '~~~~~~~~~~'
       IF(lwp)WRITE(numout,*) ' '
 
-      IF( jpni*jpnj < jpnij ) CALL ctl_stop( ' jpnij > jpni x jpnj impossible' )
+      IF( jpni*jpnj < jpnij )   CALL ctl_stop( ' jpnij > jpni x jpnj impossible' )
 
       ! 0. initialisation
       ! -----------------
-
-      ! open the file
-      ! Remember that at this level in the code, mpp is not yet initialized, so
-      ! the file must be open with jpdom_unknown, and kstart and kcount forced 
-      jstartrow = 1
-      IF ( ln_zco ) THEN 
-         CALL iom_open ( 'bathy_level.nc', inum )   ! Level bathymetry
-          ! Optionally use a file attribute (open_ocean_jstart) to set a start row for reading from the global file
-          ! This allows the unextended grid bathymetry to be stored in the same file as the under ice-shelf extended bathymetry
-         CALL iom_getatt(inum, 'open_ocean_jstart', jstartrow ) ! -999 is returned if the attribute is not found
-         jstartrow = MAX(1,jstartrow)
-         CALL iom_get( inum, jpdom_unknown, 'Bathy_level', zdta, kstart=(/1,1+jstartrow-1/), kcount=(/jpiglo,jpjglo/) )
-      ELSE
-         CALL iom_open ( 'bathy_meter.nc', inum )   ! Meter bathy in case of partial steps
-         IF ( ln_isfcav ) THEN
-             CALL iom_get( inum, jpdom_unknown, 'Bathymetry_isf' , zdta, kstart=(/1,1/), kcount=(/jpiglo,jpjglo/) )
-         ELSE
-             ! Optionally use a file attribute (open_ocean_jstart) to set a start row for reading from the global file
-             ! This allows the unextended grid bathymetry to be stored in the same file as the under ice-shelf extended bathymetry
-             CALL iom_getatt(inum, 'open_ocean_jstart', jstartrow ) ! -999 is returned if the attribute is not found
-             jstartrow = MAX(1,jstartrow)
-             CALL iom_get( inum, jpdom_unknown, 'Bathymetry' , zdta, kstart=(/1,1+jstartrow-1/), kcount=(/jpiglo,jpjglo/) )
-         ENDIF
-      ENDIF
-      CALL iom_close (inum)
-      
-      ! used to compute the land processor in case of not masked bathy file.
-      zdtaisf(:,:) = 0.0_wp
-      IF ( ln_isfcav ) THEN
-         CALL iom_open ( 'bathy_meter.nc', inum )   ! Meter bathy in case of partial steps
-         CALL iom_get ( inum, jpdom_unknown, 'isf_draft' , zdtaisf, kstart=(/1,1/), kcount=(/jpiglo,jpjglo/) )
-      END IF
-      CALL iom_close (inum)
-
-      ! land/sea mask over the global domain
-
-      imask(:,:)=1
-      WHERE ( zdta(:,:) - zdtaisf(:,:) <= rn_isfhmin ) imask = 0
+      CALL iom_open( 'domain_cfg', inum )
+      !
+      !                                   ! ocean top and bottom level
+      CALL iom_get( inum, jpdom_data, 'bottom level' , zbot    )  ! nb of ocean T-points
+      CALL iom_get( inum, jpdom_data, 'top    level' , ztop     )   ! nb of ocean T-points (ISF)
+      !
+      CALL iom_close( inum )
+      !
+      ! 2D ocean mask (=1 if at least one level of the water column is ocean, =0 otherwise)
+      WHERE( zbot(:,:) - ztop(:,:) + 1 > 0 )   ;   imask(:,:) = 1
+      ELSEWHERE                                ;   imask(:,:) = 0
+      END WHERE
 
       !  1. Dimension arrays for subdomains
@@ -320,5 +279,5 @@
          DO jj = 1+jprecj, ilj-jprecj
             DO  ji = 1+jpreci, ili-jpreci
-               IF( imask(ji+iimppt(ii,ij)-1, jj+ijmppt(ii,ij)-1) == 1) isurf = isurf+1
+               IF( imask(ji+iimppt(ii,ij)-1, jj+ijmppt(ii,ij)-1) == 1)   isurf = isurf+1
             END DO
          END DO
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90	(revision 6717)
@@ -13,7 +13,5 @@
    !!   obs_sor       : Sort the observation arrays
    !!---------------------------------------------------------------------
-   !! * Modules used
-   USE par_kind, ONLY : & ! Precision variables
-      & wp   
+   USE par_kind, ONLY : wp ! Precision variables
    USE in_out_manager     ! I/O manager
    USE obs_profiles_def   ! Definitions for storage arrays for profiles
@@ -24,16 +22,12 @@
    USE obs_inter_sup      ! Interpolation support
    USE obs_oper           ! Observation operators
-   USE lib_mpp, ONLY : &
-      & ctl_warn, ctl_stop
+   USE lib_mpp, ONLY :   ctl_warn, ctl_stop
 
    IMPLICIT NONE
-
-   !! * Routine accessibility
    PRIVATE
 
-   PUBLIC &
-      & obs_pre_prof, &    ! First level check and screening of profile obs
-      & obs_pre_surf, &    ! First level check and screening of surface obs
-      & calc_month_len     ! Calculate the number of days in the months of a year
+   PUBLIC   obs_pre_prof     ! First level check and screening of profile obs
+   PUBLIC   obs_pre_surf     ! First level check and screening of surface obs
+   PUBLIC   calc_month_len   ! Calculate the number of days in the months of a year
 
    !!----------------------------------------------------------------------
@@ -63,17 +57,11 @@
       !!        !  2015-02  (M. Martin) Combined routine for surface types.
       !!----------------------------------------------------------------------
-      !! * Modules used
-      USE domstp              ! Domain: set the time-step
       USE par_oce             ! Ocean parameters
-      USE dom_oce, ONLY : &   ! Geographical information
-         & glamt,   &
-         & gphit,   &
-         & tmask,   &
-         & nproc
+      USE dom_oce, ONLY       :   glamt, gphit, tmask, nproc   ! Geographical information
       !! * Arguments
       TYPE(obs_surf), INTENT(INOUT) :: surfdata    ! Full set of surface data
       TYPE(obs_surf), INTENT(INOUT) :: surfdataqc   ! Subset of surface data not failing screening
       LOGICAL, INTENT(IN) :: ld_nea         ! Switch for rejecting observation near land
-      !! * Local declarations
+      !
       INTEGER :: iyea0        ! Initial date
       INTEGER :: imon0        !  - (year, month, day, hour, minute)
@@ -94,12 +82,12 @@
       INTEGER :: inlasobsmpp    !  - close to land
       INTEGER :: igrdobsmpp     !  - fail the grid search
-      LOGICAL, DIMENSION(:), ALLOCATABLE :: & 
-         & llvalid            ! SLA data selection
+      LOGICAL, DIMENSION(:), ALLOCATABLE ::   llvalid            ! SLA data selection
       INTEGER :: jobs         ! Obs. loop variable
       INTEGER :: jstp         ! Time loop variable
       INTEGER :: inrc         ! Time index variable
-
-      IF(lwp) WRITE(numout,*)'obs_pre_surf : Preparing the surface observations...'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*) 'obs_pre_surf : Preparing the surface observations...'
+      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
       
       ! Initial date initialization (year, month, day, hour, minute)
@@ -253,10 +241,6 @@
       !!
       !!----------------------------------------------------------------------
-      !! * Modules used
-      USE domstp              ! Domain: set the time-step
-      USE par_oce             ! Ocean parameters
-      USE dom_oce, ONLY : &   ! Geographical information
-         & gdept_1d,             &
-         & nproc
+      USE par_oce           ! Ocean parameters
+      USE dom_oce, ONLY :   gdept_1d, nproc   ! Geographical information
 
       !! * Arguments
@@ -314,4 +298,5 @@
       INTEGER :: jstp         ! Time loop variable
       INTEGER :: inrc         ! Time index variable
+      !!----------------------------------------------------------------------
 
       IF(lwp) WRITE(numout,*)'obs_pre_prof: Preparing the profile data...'
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 6717)
@@ -43,9 +43,9 @@
    USE sbcisf         ! surface boundary condition: ice shelf
    USE sbcfwb         ! surface boundary condition: freshwater budget
-   USE closea         ! closed sea
    USE icbstp         ! Icebergs
    USE traqsr         ! active tracers: light penetration
    USE sbcwave        ! Wave module
    USE bdy_par        ! Require lk_bdy
+   USE usrdef_closea  ! closed sea
    !
    USE prtctl         ! Print control                    (prt_ctl routine)
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 6717)
@@ -20,6 +20,6 @@
    USE sbc_oce        ! surface boundary condition variables
    USE sbcisf         ! PM we could remove it I think
-   USE closea         ! closed seas
    USE eosbn2         ! Equation Of State
+   USE usrdef_closea  ! closed seas
    !
    USE in_out_manager ! I/O manager
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 6716)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 6717)
@@ -581,9 +581,4 @@
             ahv_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1)) = 10.e0*ahv_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1))
             !
-         CASE ( 4 )                          ! ORCA_R4
-            ij0 =  52   ;   ij1 =  52              ! Gibraltar enhancement of BBL
-            ii0 =  70   ;   ii1 =  71
-            ahu_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1)) =  4.e0*ahu_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1))
-            ahv_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1)) =  4.e0*ahv_bbl_0(mi0(ii0):mi1(ii1),mj0(ij0):mj1(ij1))
          END SELECT
          !
